Page MenuHomePhabricator

MobileFrontend throws ConfigException when loading JS
Closed, ResolvedPublic

Description

When trying out mediawiki 1.33, i am seeing:

/w/load.php?lang=en&modules=startup&only=scripts&skin=timeless   ConfigException from line 53 of /srv/mediawiki/w/includes/config/GlobalVarConfig.php: GlobalVarConfig::get: undefined option: 'EnableBlockNoticeStats'
#0 /srv/mediawiki/w/extensions/MobileFrontend/includes/MobileFrontend.hooks.php(428): GlobalVarConfig->get(string)
#1 /srv/mediawiki/w/extensions/MobileFrontend/includes/modules/ResourceLoaderFileModuleWithMFConfig.php(16): MobileFrontendHooks::getResourceLoaderMFConfigVars()
#2 /srv/mediawiki/w/includes/resourceloader/ResourceLoaderModule.php(727): MobileFrontend\ResourceLoaderModules\ResourceLoaderFileModuleWithMFConfig->getScript(ResourceLoaderContext)
#3 /srv/mediawiki/w/includes/resourceloader/ResourceLoaderModule.php(694): ResourceLoaderModule->buildContent(ResourceLoaderContext)
#4 /srv/mediawiki/w/includes/resourceloader/ResourceLoaderModule.php(830): ResourceLoaderModule->getModuleContent(ResourceLoaderContext)
#5 /srv/mediawiki/w/includes/resourceloader/ResourceLoaderStartUpModule.php(255): ResourceLoaderModule->getVersionHash(ResourceLoaderContext)
#6 /srv/mediawiki/w/includes/resourceloader/ResourceLoaderStartUpModule.php(438): ResourceLoaderStartUpModule->getModuleRegistrations(ResourceLoaderContext)
#7 /srv/mediawiki/w/includes/resourceloader/ResourceLoaderModule.php(727): ResourceLoaderStartUpModule->getScript(ResourceLoaderContext)
#8 /srv/mediawiki/w/includes/resourceloader/ResourceLoaderModule.php(694): ResourceLoaderModule->buildContent(ResourceLoaderContext)
#9 /srv/mediawiki/w/includes/resourceloader/ResourceLoaderModule.php(830): ResourceLoaderModule->getModuleContent(ResourceLoaderContext)
#10 /srv/mediawiki/w/includes/resourceloader/ResourceLoader.php(658): ResourceLoaderModule->getVersionHash(ResourceLoaderContext)
#11 [internal function]: ResourceLoader->{closure}(string)
#12 /srv/mediawiki/w/includes/resourceloader/ResourceLoader.php(670): array_map(Closure, array)
#13 /srv/mediawiki/w/includes/resourceloader/ResourceLoader.php(751): ResourceLoader->getCombinedVersion(ResourceLoaderContext, array)
#14 /srv/mediawiki/w/load.php(46): ResourceLoader->respond(ResourceLoaderContext)
#15 {main}

In the logs, but in the js console i see "[6517215b23165c93329a295e] 2019-06-08 16:36:35: Fatal exception of type "ConfigException"".

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : REL1_33Remove block notice tracking

Event Timeline

Paladox created this task.Jun 8 2019, 4:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 8 2019, 4:45 PM

yup, found the commit that removes it on the master branch in MF, just not a easy back port as one of the files were renamed (https://github.com/wikimedia/mediawiki-extensions-MobileFrontend/commit/eebdabe65c067dbcfd9ddf59ab283ddcdba61b40#diff-906c6ce0812fcfd8ccf583970a92df80)

Change 515719 had a related patch set uploaded (by Paladox; owner: Dmaza):
[mediawiki/extensions/MobileFrontend@REL1_33] Remove block notice tracking

https://gerrit.wikimedia.org/r/515719

To clarify how it happened: the patch https://gerrit.wikimedia.org/r/c/mediawiki/core/+/506197 was backported, but the patches it relies on, that were marked with 'Depends-On' (in VisualEditor, and MobileFrontend – T225359) were not.
This probably should not have been possible, the 'Depends-On' should check only changes in the same branch. This is apparently already known as T210685: Depends-On should not work across branches.

Restricted Application added a subscriber: MGChecker. · View Herald TranscriptJun 11 2019, 4:27 PM
matmarex reopened this task as Open.Jun 19 2019, 6:37 PM

I believe this should be tracked separately from T225354, because I was just able to get the patch for that issue to merge, while the patch here is still failing.

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

We won't block the release of MW core on a MobileFrontend issue.

Kghbln added a subscriber: Kghbln.Jul 2 2019, 2:49 PM

I added a warning to the MobileFrontend and MediaWiki 1.33 pages about the incompatibility since this extension may be considered system relevant for many wikis.

Change 515719 merged by Reedy:
[mediawiki/extensions/MobileFrontend@REL1_33] Remove block notice tracking

https://gerrit.wikimedia.org/r/515719

Reedy closed this task as Resolved.Jul 2 2019, 3:00 PM
Reedy assigned this task to Paladox.

Force merged the patch... Tests possibly not being fully right on REL1_33 is better than the whole extension actually being broken

Kghbln added a comment.Jul 2 2019, 6:27 PM

Thanks a lot! This specific error no longer appears. I have removed the respective notes from the wiki.